<bugID>1250487<Summary>[e10s] FormSubmitObserver should be a singleton in a process script</Summary><Description>All it does that would need to happen for every frame is sending up a "hidePopup" event when the root document fires a "pageshow" event. This could be done from the parent process.

Everything else is chained up from the observer notification, which means it could all be handled from a singleton observer in a process script, that registers the remaining listeners (input, blur, and unload to unregister those listeners) when it gets called for a content frame with the relevant observer notification.</Description></bugID>